#This needs to be executed as a standalone script.

#Input: data.csv 
#CSV Header 1: 'mailBoxIdentifier', object id or name to identify the mailbox
#CSV Header 2: 'proxyAddresses', (multi-value field), Enclose within double quotes, with each address enclosed within single-quotes separated by a comma.

#Example CSV file included for reference in the directory '\ADManager Plus\help\solutions'

$UserCredential=Get-Credential
$Session = New-PSSession -ConfigurationName Microsoft.Exchange -ConnectionUri https://outlook.office365.com/powershell-liveid/ -Credential $UserCredential -Authentication Basic -AllowRedirection 

Import-PSSession $Session -DisableNameChecking

#The input file in the same directory as the script is given as input. If needed, change accordingly
Import-Csv .\data.csv | ForEach-Object {
	$id = $($_.mailBoxIdentifier)
	$address = $($_.proxyAddresses)
	echo "Adding $address for $id"
	Set-Mailbox -Identity $id -EmailAddresses @{add=$address}
	if($?){
	   echo "Proxy Address Successfuly Added"
	}
}
Remove-PSSession $Session
echo "PSSession Removed Successfully"