
# Supply the credentials 
# Execute the below command to create an encrypted password file( Change the password and file name )
# "Password" | ConvertTo-SecureString -AsPlainText -Force | ConvertFrom-SecureString | Out-File "C:\EmailPassword.txt"

# Eg command in disable policy custom script : Powershell "C:\manageEngine6\ADManager Plus\help\solutions" %mail%

$File = "C:\EmailPassword.txt"    # Encrypted file in which the Password is stored.
$UserMail="user@domain.com"		  # Your user name
 
$UserCredential=New-Object -TypeName System.Management.Automation.PSCredential -ArgumentList $UserMail, (Get-Content $File | ConvertTo-SecureString)


$Session = New-PSSession -ConfigurationName Microsoft.Exchange -ConnectionUri https://outlook.office365.com/powershell-liveid/ -Credential $UserCredential -Authentication Basic -AllowRedirection
Import-PSSession $Session -DisableNameChecking


$inputuser = $args[0]      # User whose mail account emails are to be forwarded

$mailbox = Get-Mailbox -Identity $inputuser;  

if($mailbox -eq $null){Write-Error 'Mailbox not found' -ErrorId 'ObjectNotFound'; break; };

$ForwardToOption = "ToInternal";   # Options  ForwardDisabled, ToInternal, ToExternal

$ForwardingAddress = "yyyy@domain.com"; # The account to which the emails are to be forwarded

$DeliverToMailboxAndForward = $true;  

if($ForwardToOption -eq 'ForwardDisabled')
{ 	
	Set-Mailbox -identity $inputuser -ForwardingSmtpaddress $null -ForwardingAddress $null -Force -Confirm:$false; 
}elseif($ForwardToOption -eq 'ToInternal')
{
	Set-Mailbox -identity $inputuser -ForwardingAddress $ForwardingAddress -DeliverToMailboxAndForward  $DeliverToMailboxAndForward -Confirm:$false -Force; 
}elseif($ForwardToOption -eq 'ToExternal')
{
	Set-Mailbox -identity $inputuser -ForwardingSmtpaddress $ForwardingAddress -DeliverToMailboxAndForward $DeliverToMailboxAndForward -Confirm:$false -Force; 
}

Remove-PSSession $Session